#import "SrTracksdkFlutterPlugin.h"
#import "TrackSDK-Swift.h"

@implementation SrTracksdkFlutterPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"sr_tracksdk_flutter_plugin"
            binaryMessenger:[registrar messenger]];
  SrTracksdkFlutterPlugin* instance = [[SrTracksdkFlutterPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"track" isEqualToString:call.method]) {
      [[SR sharedInstance] trackWithActionName:call.arguments[0] actionParam:call.arguments[1]];
      result(nil);
  } else if ([@"setUser" isEqualToString:call.method]){
      [[SR sharedInstance] setUserWithUserId:call.arguments[0]];
      result(nil);
  } else {
      result(FlutterMethodNotImplemented);
  }
}

@end
