import 'dart:async';

import 'package:flutter/services.dart';

class SrTracksdkFlutterPlugin {
  static const MethodChannel _channel = const MethodChannel('sr_tracksdk_flutter_plugin');

  static void track(String eventName, Map<String, dynamic>? properties) {
    properties = properties == null ? null : {...properties};
    List<dynamic> params = [eventName, properties];
    _channel.invokeMethod('track', params);
  }

  static void trackNull(String eventName) {
    List<dynamic> params = [eventName];
    _channel.invokeMethod('trackNull', params);
  }

  static void setUser(String UserId) {
    List<String> params = [UserId];
    _channel.invokeMethod('setUser', params);
  }

  static void init(String MerchantId, String Appid, String AppSecret) {
    List<String> params = [MerchantId, Appid , AppSecret];
    _channel.invokeMethod('init', params);
  }

}
